Skip to main content

✨ Step-by-Step for End Users

1

Log in to Your Account

  1. Go to AirMDR Admin console.
  2. Use your credentials to SignIn.
2

Create Alerts on AirMDR

  1. Create the API key.
  2. To create alert on AirMDR services use the following API request Fill in:
    • API URL: Create alerts
    • Method: POST
    • 🔐Authentication (AirMDR API Key).
    Choose what types of alerts you want sent automatically (e.g., all, critical only, specific policies).
3

Payload Format and Mandatory Params

  1. Define the payload format (default is JSON).
    Test the webhook feature to make sure it’s working
    📦 Request Body Parameters for creating alerts:
AirMDR Json parameters
Mandatory Required Params:
  • “organization_code”: “string”,
    To fetch your organization code on AirMDR services use the following API request
    • API URL: getOrganizationsAPI
    • Method: GET
    • 🔐Authentication (AirMDR API Key).
  • “alert_content”: “string”,
  • “alert_provider”: “string”
    To fetch list of providers on AirMDR services use the following API request
    • API URL: getProvidersAPI
    • Method: GET
    • 🔐Authentication (AirMDR API Key).
  • “alert_type”: “string”
    In order for the AI to automatically investigate an alert, the user must provide the alert_type parameter.

📋 Quick Example: Sending Alert to AirMDR via Webhook

Request sample
Response sample
Investigation Status Values:Created = 0,
Submitted = 5,
InProgress = 10,
Completed = 15,
Failed = 20

AirMDR Alerts Dashboard UI

You can view all your created alerts on the Alerts page.
Alerts Pn
If the User provides the alert_type parameter, AI automatically
  • Creates a new Investigator Playbook (If there is no existing playbook for specified alert_type)
    or
  • Investigate the alert within the existing Investigator Playbook and
  • Creates a Case (Everytime a new Case is generated in the Case Management).
The alert content is organized and segregated in the Alerts page, with each column indicating the corresponding data.